=== debian/changelog ===
libuinputplus (0.1.4-2) unstable; urgency=medium

  * d/rules: set -DCMAKE_POSITION_INDEPENDENT_CODE=ON.

 -- Alexandre Viau <aviau@debian.org>  Tue, 11 Feb 2020 12:09:51 -0500

libuinputplus (0.1.4-1) unstable; urgency=medium

  * New upstream version.

 -- Alexandre Viau <aviau@debian.org>  Tue, 11 Feb 2020 12:05:34 -0500

libuinputplus (0.1.3-2) unstable; urgency=medium

  * d/copyright: Debian section.

 -- Alexandre Viau <aviau@debian.org>  Tue, 11 Feb 2020 02:01:05 -0500

libuinputplus (0.1.3-1) unstable; urgency=medium

  * Initial release. (Closes: #951099)

 -- Alexandre Viau <aviau@debian.org>  Tue, 11 Feb 2020 01:48:50 -0500
