=== debian/control ===
Source: libuinputplus
Section: libs
Priority: optional
Maintainer: Alexandre Viau <aviau@debian.org>
Build-Depends: debhelper (>=12),
               cmake,
               pkg-config
Standards-Version: 4.5.0
Homepage: https://github.com/YukiWorkshop/libuInputPlus
Vcs-Git: https://salsa.debian.org/debian/libuinputplus.git
Vcs-Browser: https://salsa.debian.org/debian/libuinputplus

Package: libuinputplus-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}
Provides: libuinputplus-dev
Multi-Arch: same
Description: Development files for the libuinputplus library
 Easy-to-use uinput library in C++
 .
 This package contains the static library and headers.
