=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/libuInputPlus-$1\.tar\.gz/ \
  https://github.com/YukiWorkshop/libuInputPlus/tags .*/v?(\d\S+)\.tar\.gz
